| Home | Libraries | People | FAQ | More

## Struct template unordered_bucket_ptr

boost::intrusive::unordered_bucket_ptr

## Synopsis

    // In header: <boost/intrusive/hashtable.hpp>

    template<typename ValueTraitsOrHookOption>
    struct unordered_bucket_ptr {
    };

## Description

This metafunction will obtain the type of a bucket pointer from the value_traits or hook option to be used with a hash container.